/*
 * Zero homeworld data
 * by Roger Burton West <roger@firedrake.demon.co.uk>
 * C conversion by Stefan Reuther
 * GNUWare
 */
#include <stdio.h>
#include <dos.h>
#include <fcntl.h>

int main (int argc, char** argv)
{
  int fd;
  if (argc != 2) {
    puts("Usage: sanitise <file>\n");
    return 1;
  }
  fd = open(argv[1], O_RDWR);
  if (fd >= 0) {
    long fptr=4;
    char buff[2];
    buff[0]=0;
    buff[1]=0;
    do {
      lseek(fd, fptr, SEEK_SET);
      write(fd, buff, 2);
      fptr+=6;
    } while (fptr<3000);
    close(fd);
    return 0;
  } else {
    perror(argv[1]);
    return 1;
  }
}
